gi-gdk4-4.0.10: Gdk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gdk.Objects.DNDEvent

Contents

- Exported types
- Methods
  - getDrop

Description

An event related to drag and drop operations.

Synopsis

- newtype DNDEvent = DNDEvent (ManagedPtr DNDEvent)
- class (BoxedPtr o, TypedObject o, IsDescendantOf DNDEvent o) => IsDNDEvent o
- toDNDEvent :: (MonadIO m, IsDNDEvent o) => o -> m DNDEvent
- dNDEventGetDrop :: (HasCallStack, MonadIO m, IsDNDEvent a) => a -> m (Maybe Drop)

# Exported types

newtype DNDEvent Source #

Memory-managed wrapper type.

Constructors

DNDEvent (ManagedPtr DNDEvent) |

#### Instances

Instances details

Eq DNDEvent Source # |
Instance details Defined in GI.Gdk.Objects.DNDEvent Methods (==) :: DNDEvent -> DNDEvent -> Bool Source # (/=) :: DNDEvent -> DNDEvent -> Bool Source #
BoxedPtr DNDEvent Source # |
Instance details Defined in GI.Gdk.Objects.DNDEvent Methods boxedPtrCopy :: DNDEvent -> IO DNDEvent Source # boxedPtrFree :: DNDEvent -> IO () Source #
ManagedPtrNewtype DNDEvent Source # |
Instance details Defined in GI.Gdk.Objects.DNDEvent Methods toManagedPtr :: DNDEvent -> ManagedPtr DNDEvent Source #
TypedObject DNDEvent Source # |
Instance details Defined in GI.Gdk.Objects.DNDEvent Methods glibType :: IO GType Source #
HasParentTypes DNDEvent Source # |
Instance details Defined in GI.Gdk.Objects.DNDEvent
type ParentTypes DNDEvent Source # |
Instance details Defined in GI.Gdk.Objects.DNDEvent type ParentTypes DNDEvent = '[Event]

class (BoxedPtr o, TypedObject o, IsDescendantOf DNDEvent o) => IsDNDEvent o Source #

Type class for types which can be safely cast to `DNDEvent`, for instance with `toDNDEvent`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf DNDEvent o) => IsDNDEvent o Source # |
Instance details Defined in GI.Gdk.Objects.DNDEvent

toDNDEvent :: (MonadIO m, IsDNDEvent o) => o -> m DNDEvent Source #

Cast to `DNDEvent`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

ref, triggersContextMenu, unref.

#### Getters

getAxes, getAxis, getDevice, getDeviceTool, getDisplay, getDrop, getEventSequence, getEventType, getHistory, getModifierState, getPointerEmulated, getPosition, getSeat, getSurface, getTime.

#### Setters

None.

## getDrop

dNDEventGetDrop Source #

Arguments

:: (HasCallStack, MonadIO m, IsDNDEvent a) |
=> a | `event`: a DND event
-> m (Maybe Drop) | Returns: the drop

Gets the `GdkDrop` object from a DND event.